Package org.bukkit.event.block

# Class BlockEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent

Direct Known Subclasses:
  `BeaconActivatedEvent`, `BeaconDeactivatedEvent`, `BeaconEffectEvent`, `BellRevealRaiderEvent`, `BellRingEvent`, `BlockBreakBlockEvent`, `BlockBurnEvent`, `BlockCanBuildEvent`, `BlockCookEvent`, `BlockDamageAbortEvent`, `BlockDamageEvent`, `BlockDestroyEvent`, `BlockDispenseEvent`, `BlockDropItemEvent`, `BlockExpEvent`, `BlockExplodeEvent`, `BlockFadeEvent`, `BlockFailedDispenseEvent`, `BlockFertilizeEvent`, `BlockFromToEvent`, `BlockGrowEvent`, `BlockIgniteEvent`, `BlockPhysicsEvent`, `BlockPistonEvent`, `BlockPlaceEvent`, `BlockPreDispenseEvent`, `BlockReceiveGameEvent`, `BlockRedstoneEvent`, `BlockShearEntityEvent`, `BrewEvent`, `BrewingStandFuelEvent`, `CauldronLevelChangeEvent`, `FluidLevelChangeEvent`, `FurnaceBurnEvent`, `FurnaceStartSmeltEvent`, `LeavesDecayEvent`, `MoistureChangeEvent`, `NotePlayEvent`, `SignChangeEvent`, `SpongeAbsorbEvent`, `TNTPrimeEvent`

public abstract class BlockEvent extends Event
Represents a block related event.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Block`
`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockEvent(@NotNull Block theBlock)`

## Method Summary

Modifier and Type
Method
Description
`final @NotNull Block`
`getBlock()`
Gets the block involved in this event.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### block

protected Block block

## Constructor Details

### BlockEvent

public BlockEvent(@NotNull @NotNull Block theBlock)

## Method Details

### getBlock

@NotNull public final @NotNull Block getBlock()
Gets the block involved in this event.

Returns:
  The Block which block is involved in this event